Subject: [dhcwg] rfc 2131 details

From: Simon Vogl <[email-masked]>
Date: Mon, 13 Oct 2003 13:10:02 +0200

Hi,
I want to asynchronously transmit data from the dhcp server
to interested clients. The state diagram in rfc2131(Fig.5)
indicates potentially arriving DHCPACKs in BOUND state, which
I could use for transmitting the option values.

Unfortunately, appropriate handling is not defined (or I could
not find it) in this document - is this defined in a newer rfc?

If nothing else is proposed, I'd set the xid to the client ip
address to transmit my dhcp options to be compatible with the
handling of acks in REBINDING state. Is this an acceptable solution?

Cheers
Simon

-- 
------------------------------------------------
Dr. Simon Vogl
Department  of   Computer  Science
Johannes Kepler University of Linz
Altenberger Straße 69
A-4040 Linz - Austria

Tel: +43 70 2468 8517  [email-masked]
Fax: +43 70 2468 8426   www.soft.uni-linz.ac.at

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg